Subject: IPP>MOD Editorial Comments on Model Doc

From: [email-masked]
Date: 29 Jul 97 13:03:36 EDT

Scott,
     
     I hope you find some of the following comments useful.  
     
     Section 3.1.2.1 
     I found the paragraph under Job Template Attributes confusing. 
     "If the client supplies no Job Template attributes in the Create-Job 
     Request, ..." Why is Create-Job specified?  Doesn't this also apply to 
     Print-Job and Print-URI?
     The next sentence is about Document Attributes.  Should it be in this 
     "Job Template Attributes" paragraph?
     
     Line 582 - response parameter
     Line 598 - output parameter    these should be the same
     
     Paragraph starting on Line 600
     "The client does not supply a Job Template attribute, but the Printer 
     supports the attribute:"  I had to read this several times... how 
     about, "The client does not supply a Job Template attribute that is 
     supported by the printer:"  Following this is, "The attribute is 
     accepted..." How can the attribute be accepted if not supplied?  I 
     suggest deleting that text.
     Non-Editorial Question: Why not allow the printer to associate the 
     default attributes at job creation time?  This seems to put an 
     unnecessary burden on the printer.  Why must it wait until processing 
     the job to associate default attributes?
     
     Line 596
     If you buy the above edit, then this line should be, "The client 
     supplies a Job Template attribute that is not supported by the 
     Printer".
     
     Line 609
     And if you buy both of the above, then, "The client does not supply an 
     attribute that is also unsupported by the Printer."
     
     Line 638
     "If there is an error," seems too general.  Should it be something 
     like, "If the input parameters include any attributes which the 
     Printer does not support," 
     
     Section 3.1.4.2
     I think it should say what is returned if there are no unsupported 
     attributes.  What does it return?  Just the successful status code?
     
     Line 843
     "This input parameter conditions the Printer attributes and values 
     that might depend on the document format."  I had to read this several 
     times.  I'm not sure this is any better, but how about, "This input 
     parameter is useful for determining the set of supported attribute 
     values which relate to the requested document format."
     
     Line 1527
     "The Printer SHALL..." This makes it seem like a mandatory object.
     
     Line 1697
     "Document-number"?  I don't see any document-number attribute?
     
     Lines 1748 & 1749 and beyond
     You were looking for places to get rid of SHALLs...  Do these SHALLs 
     determine whether an administrator is a conforming IPP Administrator? 
     :-) I don't think SHALL is appropriate for dictating administrator 
     actions.  If you buy this, then there are lots of SHALLs in the 
     following sections which fall into the same category.
     
     Line 1752
     'Similar to "printer-uri"' How is this similar to printer-uri?  Do you 
     mean job-uri-user?
     
     Table on pg 52
     Does not include pdl-override
     
     Lines 1880 and 1883
     SHALL seems inappropriate for optional attributes.

     Typos
     Line 874 - retrieve "the" list
     
     Line 586 - tIf -> If
     
     Line 900 - formatting error
     
     Line 1050 - SHOULD "use" values
     
     Line 1531 - optional -> optionally?
     
     Line 1997 - (section 3.1.8) should be 3.1.10

     Also, a small item... If I'm not included in the list of Other 
     Participants, my company might think I'm playing golf instead of 
     attending the IPP meetings :-).
     
     Stuart Rowley
     Kyocera